Imagick::getReleaseDate
Imagick::getResourceLimit
Imagick
PHP Manual

# Imagick::getResource

Returns the specified resource's memory usage

### Description

int Imagick::getResource ( int `$type` )

Returns the specified resource's memory usage in megabytes.

### Parameters

`type`

  Refer to the list of resourcetype constants.

### Return Values

Returns the specified resource's memory usage in megabytes.

### Errors/Exceptions

Throws ImagickException on error.